package com.ruoyi.system.service;

import com.ruoyi.system.domain.partyNews.PartyNews;

import java.util.List;


/**
 * 党建资讯Service接口
 * 
 * @author boman
 * @date 2025-02-14
 */
public interface IPartyNewsService 
{
    /**
     * 查询党建资讯
     * 
     * @param partyId 党建资讯主键
     * @return 党建资讯
     */
    public PartyNews selectPartyNewsByPartyId(Long partyId);

    /**
     * 查询党建资讯列表
     * 
     * @param partyNews 党建资讯
     * @return 党建资讯集合
     */
    public List<PartyNews> selectPartyNewsList(PartyNews partyNews);

    /**
     * 新增党建资讯
     * 
     * @param partyNews 党建资讯
     * @return 结果
     */
    public int insertPartyNews(PartyNews partyNews);

    /**
     * 修改党建资讯
     * 
     * @param partyNews 党建资讯
     * @return 结果
     */
    public int updatePartyNews(PartyNews partyNews);

    /**
     * 批量删除党建资讯
     * 
     * @param partyIds 需要删除的党建资讯主键集合
     * @return 结果
     */
    public int deletePartyNewsByPartyIds(Long[] partyIds);

    /**
     * 删除党建资讯信息
     * 
     * @param partyId 党建资讯主键
     * @return 结果
     */
    public int deletePartyNewsByPartyId(Long partyId);
}
